#include "spi.h"


namespace spi
{
    void init() {
        SPI_PORT |= (1<<SPI_CS); //set chip select pin high
        SPI_DDR |= (1<<SPI_SCK)|(1<<SPI_MOSI)|(1<<SPI_CS); // spi sck mosi and chip select outputs

        SPCR |= (1<<SPE)|(1<<MSTR)|(1<<SPR0); //enable SPI , Master, fck/16
    }

    uint8_t transfer(uint8_t data) {
        SPDR = data;
        while(!(SPSR & (1<<SPIF))); //wait for transmition to complete
        return SPDR;
    }
}
    


